Package org.drinkless.tdlib

# Class TdApi.UpdateStorySendFailed

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateStorySendFailed

Enclosing class:
  TdApi

public static class TdApi.UpdateStorySendFailed extends TdApi.Update
A story failed to send. If the story sending is canceled, then updateStoryDeleted will be received instead of this update.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Error`
  `error`
  The cause of the story sending failure.
  `TdApi.CanSendStoryResult`
  `errorType`
  Type of the error; may be null if unknown.
  `TdApi.Story`
  `story`
  The failed to send story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateStorySendFailed()`
  A story failed to send.
  `UpdateStorySendFailed(TdApi.Story story, TdApi.Error error, TdApi.CanSendStoryResult errorType)`
  A story failed to send.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### story

    public TdApi.Story story
    The failed to send story.

  - ### error

    public TdApi.Error error
    The cause of the story sending failure.

  - ### errorType

    @Nullable public TdApi.CanSendStoryResult errorType
    Type of the error; may be null if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateStorySendFailed

    public UpdateStorySendFailed()
    A story failed to send. If the story sending is canceled, then updateStoryDeleted will be received instead of this update.

  - ### UpdateStorySendFailed

    public UpdateStorySendFailed(TdApi.Story story, TdApi.Error error, TdApi.CanSendStoryResult errorType)
    A story failed to send. If the story sending is canceled, then updateStoryDeleted will be received instead of this update.
    Parameters:
      `story` - The failed to send story.
      `error` - The cause of the story sending failure.
      `errorType` - Type of the error; may be null if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR